> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tickdb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Stock Information

> Retrieve detailed information for stocks, including company name, industry classification, market capitalization, and other fundamental data.

## Notes

* Returned information may vary depending on data source

## Supported Markets

**US Stocks**, **HK Stocks**, **A-Shares**

Examples:

* US Stocks: AAPL.US, TSLA.US, MSFT.US
* HK Stocks: 700.HK, 9988.HK, 3690.HK
* A-Shares: 000001.SH, 000001.SZ

## Request Parameters

| Parameter | Required | Description                                                                                                                                                                                    |
| --------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| symbols   | Yes      | Stock symbol codes, comma-separated, max 50                                                                                                                                                    |
| type      | No       | Symbol type, optional. Not required when the symbol is unambiguous; if the API returns an `AMBIGUOUS_SYMBOL` error, pass the value as indicated. Values: `stock`, `indices`, `crypto`, `forex` |

## Response Fields

| Field               | Description                                                               |
| ------------------- | ------------------------------------------------------------------------- |
| symbol              | Trading Symbol                                                            |
| name\_cn            | Chinese simplified name                                                   |
| name\_en            | English name                                                              |
| name\_hk            | Chinese traditional name                                                  |
| exchange            | Exchange where the symbol is traded                                       |
| currency            | Trading currency (CNY/USD/HKD)                                            |
| lot\_size           | Shares per lot                                                            |
| total\_shares       | Total shares outstanding                                                  |
| circulating\_shares | Circulating shares                                                        |
| hk\_shares          | HK shares (HK stocks only)                                                |
| eps                 | Earnings per share                                                        |
| eps\_ttm            | Earnings per share (TTM)                                                  |
| bps                 | Book value per share                                                      |
| dividend\_yield     | Dividend yield (if calculated annually, annual calculation type provided) |
| stock\_derivatives  | Options: 1 - Options, 2 - Warrants                                        |


## OpenAPI

````yaml GET /v1/market/stock-info
openapi: 3.0.0
info:
  title: TickDB API
  description: >-
    Unified real-time market data API — one connection for Forex, indices, US
    stocks, HK stocks, A-shares, and Crypto via REST and WebSocket.
  version: 1.0.1
  contact:
    email: support@tickdb.ai
servers:
  - url: https://api.tickdb.ai
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /v1/market/stock-info:
    get:
      summary: Stock Information
      description: Get detailed information for stocks
      parameters:
        - name: symbols
          in: query
          required: true
          description: Comma-separated stock symbols (max 50)
          schema:
            type: string
            default: 700.HK,AAPL.US,000001.SZ
            example: 700.HK,AAPL.US,000001.SZ
        - name: type
          in: query
          required: false
          description: >-
            Symbol type, optional. Not required when the symbol is unambiguous;
            if the API returns an AMBIGUOUS_SYMBOL error, pass the value as
            indicated
          schema:
            type: string
            enum:
              - stock
              - indices
              - crypto
              - forex
            example: stock
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 0
                  message:
                    type: string
                    example: success
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        symbol:
                          type: string
                        name_cn:
                          type: string
                        name_en:
                          type: string
                        name_hk:
                          type: string
                        exchange:
                          type: string
                        currency:
                          type: string
                        lot_size:
                          type: integer
                        total_shares:
                          type: integer
                        circulating_shares:
                          type: integer
                        hk_shares:
                          type: integer
                        eps:
                          type: string
                        eps_ttm:
                          type: string
                        bps:
                          type: string
                        dividend_yield:
                          type: string
                        stock_derivatives:
                          type: array
                          items:
                            type: integer
                    example:
                      - symbol: 700.HK
                        name_cn: 腾讯控股
                        name_en: TENCENT
                        name_hk: 騰訊控股
                        exchange: SEHK
                        currency: HKD
                        lot_size: 100
                        total_shares: 9106356125
                        circulating_shares: 9106356125
                        hk_shares: 9106356125
                        eps: '23.013927604754377'
                        eps_ttm: '26.2097750997138276'
                        bps: '140.9780051897266427'
                        dividend_yield: '4.5408485490127919'
                        stock_derivatives:
                          - 2
                      - symbol: AAPL.US
                        name_cn: 苹果
                        name_en: Apple Inc.
                        name_hk: 蘋果
                        exchange: NASD
                        currency: USD
                        lot_size: 1
                        total_shares: 14681140000
                        circulating_shares: 14656175336
                        eps: '7.6295165089359546'
                        eps_ttm: '8.0223334155249524'
                        bps: '6.0070267022860623'
                        dividend_yield: '1.04'
                        stock_derivatives:
                          - 1
                      - symbol: 000001.SZ
                        name_cn: 平安银行
                        name_en: PAB
                        name_hk: 平安銀行
                        exchange: SZSE
                        currency: CNY
                        lot_size: 100
                        total_shares: 19405918198
                        circulating_shares: 19405762053
                        eps: '2.146707'
                        eps_ttm: '2.2218995030311835'
                        bps: '23.0845557231179667'
                        dividend_yield: '0.5980134452589843'
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````